Update Current User with SCIM
Update the currently authenticated user with SCIM.
PUT
/api/{version}/scim/v2/MeHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/scim+json |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
attributes | Optional: Include specified attributes only. Enter multiple values in a comma separated list. For example, to include only user name and email in the response, attributes=userName,emails. Note that the schemas and id attributes are always returned. |
excludedAttributes | Optional: Exclude specific attributes from the response. Enter multiple values in a comma separated list. For example, to exclude user name and email from the response, excludedAttributes=userName,emails. Note that the schemas and id attributes are always returned and cannot be excluded. |
Body Parameters
Section link for Body ParametersThe body of your request should be a JSON file with the information you want to update for your user. You can include any editable attribute. Invalid attributes are ignored. You can set single-valued attributes to blank using null, or an empty array [] for multi-valued attributes.
You can determine which of the core attributes are editable based on schemas. If the mutability is readWrite, the attribute is editable.
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
--data-raw '[
{
"schemas": [
"urn:ietf:params:scim:schemas:extension:veevavault:2.0:User",
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"name": {
"familyName": "Murray",
"givenName": "Megan"
}
}
]' \
https://veepharm.com/api/v26.1/scim/v2/Me?attributes=userName,nameResponse
Section link for Response{
"schemas": [
"urn:ietf:params:scim:schemas:extension:veevavault:2.0:User",
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "61579",
"name": {
"familyName": "Murray",
"givenName": "Megan"
},
"userName": "mmurray@veepharm.com"
}